> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Website Settings

> Update a Website's Tracking Settings



## OpenAPI

````yaml /api-reference/sites-openapi.json post /prod/site/{id}/settings
openapi: 3.1.0
info:
  title: sites
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
paths:
  /prod/site/{id}/settings:
    post:
      tags:
        - Settings
      summary: Update Website Settings
      description: Update a Website's Tracking Settings
      operationId: update-website-settings
      parameters:
        - name: id
          in: path
          description: Site ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - collect_ip
                - collect_ip_as_attribute
                - collect_suburl
                - collect_ua_as_attribute
                - track_clicks_as_events
                - track_subscribe_as_event
                - retention_length
                - frequency_cap
              properties:
                collect_ip:
                  type: integer
                  description: Allow collection of IP Address (0 = false, 1 = true)
                  default: 1
                collect_ip_as_attribute:
                  type: integer
                  description: >-
                    Automatically track IP address as a custom attribute  (0 =
                    false, 1 = true)
                  default: 0
                collect_suburl:
                  type: integer
                  description: >-
                    Automatically track subscription URL as custom attribute  (0
                    = false, 1 = true)
                  default: 0
                collect_ua_as_attribute:
                  type: integer
                  description: >-
                    Automatically track User Agent as custom attribute  (0 =
                    false, 1 = true)
                  default: 1
                track_clicks_as_events:
                  type: integer
                  description: >-
                    Automatically track notification clicks as custom events. 
                    (0 = false, 1 = true)
                  default: 0
                track_subscribe_as_event:
                  type: integer
                  description: >-
                    Automatically track subscriptions as custom events.  (0 =
                    false, 1 = true)
                  default: 0
                retention_length:
                  type: integer
                  description: Number of days to keep data for deleted subscribers
                  default: '30'
                frequency_cap:
                  type: integer
                  description: Max number of notifications a subscriber can receive per day
                  default: 15
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: success
                    message: Updated site settings
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: 'Error #136.'
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: Please specify a valid auth_token.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````